Last modified: 2014-04-06 08:00:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27302 - RL: Avoid unnecessary and uncached requests for user and site modules
RL: Avoid unnecessary and uncached requests for user and site modules
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
ResourceLoader (Other open bugs)
1.18.x
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://translatewiki.net
:
Depends on:
Blocks: 27339
  Show dependency treegraph
 
Reported: 2011-02-10 13:08 UTC by P.Copp
Modified: 2014-04-06 08:00 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Simple fix for OutputPage::makeResourceLoaderLink (714 bytes, patch)
2011-02-10 13:08 UTC, P.Copp
Details
Attaching the picture to the bug for posterity. (120.74 KB, image/png)
2011-02-19 14:16 UTC, Antoine "hashar" Musso (WMF)
Details

Description P.Copp 2011-02-10 13:08:07 UTC
Created attachment 8120 [details]
Simple fix for OutputPage::makeResourceLoaderLink

If a ResourceLoaderWikiModule (user or site) is empty, i.e. the relevant pages doesn't exist, there should be no link to it from the html to avoid unnecessary requests.

Currently, it doesn't only output the link, but also adds a version parameter with the current timestamp, which bypasses all caches. This is due to a bug in OutputPage::makeResourceLoaderLink, where the modifiedTimestamp of the module is rounded to 0 if it returns 1.

This bug occurs in the following circumstances:

* For the site module, if MediaWiki:Common.js and MediaWiki:<Skin>.js is empty.
* For the user css module, if not logged in.
* For the user js module, if logged in and the user js pages are empty.

Simple fix attached.
Comment 1 Roan Kattouw 2011-02-16 07:20:03 UTC
Timestamp issue fixed in r82219.
Comment 2 Roan Kattouw 2011-02-16 15:37:58 UTC
(In reply to comment #1)
> Timestamp issue fixed in r82219.
Wow, thanks for this report. It cut server load on the bits Apaches in half: http://file.status.net/i/identica/catrope-20110216T150241-xmvxh2t.png
Comment 3 Mark A. Hershberger 2011-02-16 22:46:10 UTC
Roan fixed this during the deploy.
Comment 4 Roan Kattouw 2011-02-18 17:26:46 UTC
(In reply to comment #3)
> Roan fixed this during the deploy.
No I didn't, only part of it. The timestamp issue was fixed, but the loading of the user module for users with no user JS/CSS (and anons!) persists.
Comment 5 Antoine "hashar" Musso (WMF) 2011-02-19 14:16:30 UTC
Created attachment 8173 [details]
Attaching the picture to the bug for posterity.
Comment 6 Roan Kattouw 2011-02-19 17:08:01 UTC
Fixed in r82468.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links